/* General Reset */
:root {
  --primary-color: var(--primary-color);
  --secondary-color: #101112;
  --third-color: #6421ff;
  --fourth-color: #0C192C;
  --fifth-color: #A1CFFF;
  --text-color: #000;
  --secondary-text-color: #797E88;
  --text-header-color: #8A38F5;
  --text-header-color-logo: #7357A4;
  --white-color: #FFFFFF;
  --white-transparent-color: #ffffffd9;
  --border-color: #E5E5E5;
  --lavender-mist: #EEECF9;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

body {
  font-family: "Roboto", sans-serif;
  font-size: 1em;
  /* Default font-size set to 1em, or 16px by browser default */
  color: var(--text-color);
  line-height: 1.2;
}

.container {
  max-width: 1120px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  /* overflow: hidden; */
}

h1 {
  font-size: 2.75em;
  font-weight: 400;
  max-width: 650px;
  margin: 0 auto;
  margin-bottom: 10px;
  color: var(--text-color);
}

@media screen and (max-width: 1024px) {
  .container {
    padding: 0px 40px;
  }

}

@media screen and (max-width: 500px) {
  h2 {
    font-size: 31px !important;
    text-align: center;
  }

}

h1 span {
  color: var(--primary-color);
}

h2 {
  font-family: "Space Grotesk";
  font-size: 46px;
  font-weight: 600;
  max-width: 650px;
  margin: 0 auto;
  margin-bottom: 10px;
  color: var(--text-color);
  text-transform: capitalize;
}

h2 span {
  color: var(--primary-color);
}

h3 {
  font-family: "Space Grotesk";
  font-weight: 700;
  font-size: 32px;
}

h3 span {
  color: var(--text-header-color);
}

h4 {
  font-size: 16px;
  font-weight: 500;
}

p {
  /* padding-top: 20px; */
  line-height: 1.6;
  font-size: 18px;
  margin: 0 auto;
}

a {
  text-decoration: none;
}

#page-loader {
  position: fixed;
  inset: 0;
  background: radial-gradient(circle at top, #0b132b, #000);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 99999;
}

.glass-loader {
  display: flex;
  gap: 12px;
  padding: 25px 35px;
  background: rgba(255, 255, 255, 0.1);
  backdrop-filter: blur(15px);
  border-radius: 18px;
  box-shadow: 0 15px 40px rgba(0, 0, 0, 0.4);
}

.glass-loader span {
  width: 14px;
  height: 14px;
  border-radius: 50%;
  background: #4cc9f0;
  animation: bounce 1.4s infinite ease-in-out;
}

.glass-loader span:nth-child(2) {
  animation-delay: 0.15s;
}

.glass-loader span:nth-child(3) {
  animation-delay: 0.3s;
}

@keyframes bounce {

  0%,
  80%,
  100% {
    transform: translateY(0);
    opacity: 0.3;
  }

  40% {
    transform: translateY(-14px);
    opacity: 1;
  }
}


.section {
  padding: 50px 0px;
}

.text-wrapper {
  margin-top: 30px;
  display: flex;
  flex-direction: column;
  gap: 20px;
}

@media screen and (max-width: 768px) {
  .container {
    padding: 0px 20px;
  }

  .block-split {
    flex-wrap: wrap;
    gap: 30px !important;
  }

  .block-left {
    width: 100%;
    display: flex;
    justify-content: center;
  }

}

.hero-section {
  padding-top: 100px;
}

.block-split {
  display: flex;
  gap: 20px;
  width: 100%;
}

.block-left {
  display: flex;
  flex-direction: column;
  gap: 20px;
  justify-content: center;
  flex-wrap: wrap;
  align-items: center;
}
.block-right {
  display: flex;
  flex-direction: column;
  gap: 20px;
  justify-content: center;
  flex-wrap: wrap;
  align-items: center;
  width: 100%;
}

@media screen and (max-width: 500px) {
  .block-split{
    text-align: center;
    justify-content: center;
    gap: 30px;
  }
  .block-right img {
    width: 100%;
  }

  .block-left img {
    width: 100%;
  }

}

.bg-blue-dark {
  background-color: var(--fourth-color);
  color: var(--white-color);
}

.tag {
  margin-bottom: 30px;
  width: 300px;
  border: 1px solid var(--border-color);
  color: var(--fourth-color);
  padding: 15px 20px;
  border-radius: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--white-color);

  h4 {
    font-family: "Space Grotesk";
    font-weight: bold;
  }

}


.start-shape:before {
  content: "";
  width: 8px;
  height: 8px;
  background-color: var(--text-header-color);
  display: inline-block;
  border-radius: 50%;
}

.start-shape:after {
  content: "";
  width: 12px;
  height: 12px;
  background-color: var(--text-header-color);
  display: inline-block;
  border-radius: 50%;
  margin: 0 7px;
}

.end-shape:before {
  content: "";
  width: 12px;
  height: 12px;
  background-color: var(--text-header-color);
  display: inline-block;
  border-radius: 50%;
  margin: 0 7px;
}

.end-shape:after {
  content: "";
  width: 8px;
  height: 8px;
  background-color: var(--text-header-color);
  display: inline-block;
  border-radius: 50%;
}

.start-shape,
.end-shape {
  display: inline-flex;
  align-items: center;
}

/* FAQ Section */
.faq-column {
    background: #FFFFFF;
    border-radius: 5px;
    transition: background 0.3s ease;
}
.faq-column.open {
  background: var(--lavender-mist);
}
.faq-column p {
    line-height: 120%;
}
.faq-question {
    display: flex;
    justify-content: space-between;
    padding: 0px 30px;
    align-items: center;
    height: 108px;
}
.faq-question p {
	font-weight: 600;
  font-size: 20px;
  cursor: pointer;
  margin: 0;
}
.faq-content p {
    margin: 0px;
}
.faq-answer {
 display: none;
  padding: 0 30px 20px 30px;
  font-size: 18px;
  line-height: 1.6;
}
.faq-answer.show {
  display: block;
}
.faq-column .vl {
	border-bottom: 1px solid #C8D7E6;
    display: flex;
    width: 100%;
}
.faq-toggle {
  font-size: 22px;
  font-weight: 500;
  cursor: pointer;
  transition: transform 0.3s ease;
}
.faq-toggle.active {
  transform: rotate(45deg);
}
@media screen and (max-width: 768px) {
  .faq-content {
    width: 80%;
  }
    .faq-left, .faq-right {
        width: 100%;
    }
    .faq-question {
        text-align: left;
    }
    .faq-answer {
        text-align: left;
        padding: 0px 0px 30px 30px;
    }
}
@media screen and (max-width: 500px) {
	.faq {
		padding: 50px 30px;
	}
    .faq-question {
        height: auto;
        padding: 30px;
    }
}
@media screen and (max-width: 375px) {
    .faq-question {
        padding: 30px 20px;
    }
    .faq-answer {
        padding: 0px 20px 30px;
    }
}

/* CTA Section */
.homecta {
    padding: 80px 0px 100px;
  }

  .home-cta-container {
    max-width: 770px;
    margin: 0 auto;
    text-align: center;
    background: #fff;
    position: relative;
    padding: 50px 40px;
    border-radius: 30px;
  }

  .home-cta-container h2 span {
    color: var(--third-color);
  }

  .home-cta-container p {
    margin-bottom: 30px;
  }

  .home-cta-container:before {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    margin: 0 auto;
    border-radius: 30px;
    background: linear-gradient(109deg, #CAC6FF 0.89%, #C6E8FF 39.54%, #9EE5E5 70.27%, #FF74EF 100%);
    filter: blur(13.5px);
    z-index: -2;
    transform: scale(1.07, 1.18);
    /* background-size: 400% 400%; Enlarges the gradient to allow for smooth movement */
    /* animation: gradient-shift 10s infinite; Adjust duration for smoothness */
  }

  .home-cta-container:hover:before {
    background: linear-gradient(109deg, #FF74EF 0.89%, #9EE5E5 30.62%, #C6E8FF 61.35%, #CAC6FF 100%);
  }

  .cta-button-filled {
    display: inline-block;
    box-shadow: none;
    color: rgb(255, 255, 255) !important;
    background: var(--third-color);
    border-radius: 25px;
    transition: box-shadow 0.3s ease-in-out;
    text-decoration: none;
    padding: 10px 20px !important;
  }

  @keyframes gradient-shift {
    0% {
      background-position: 0% 50%;
      /* Start position */
    }

    50% {
      background-position: 100% 50%;
      /* Midpoint */
    }

    100% {
      background-position: 0% 50%;
      /* Return to start */
    }
  }

  .home-cta-container:after {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0px;
    top: 0;
    border-radius: 40px;
    background: #ffffff99;
    z-index: -1;
    transform: scale(1.06, 1.13);
  }

  @media screen and (max-width: 780px) {
    .home-cta-container {
      width: 80%;
    }
  }

  @media screen and (max-width: 768px) {
    .home-cta-container {
      width: 80%;
    }

    .why_home .split_block {
      flex-direction: column;
    }

    .why_home .split_block .block.image_block img {
      display: block;
    }

    .why_home .split_block .block {
      width: 100%;
      text-align: center;
    }

    .why_home .split_block .block.image_block {
      order: 2;
    }
  }

  @media screen and (max-width: 480px) {
    .home-cta-container:before {
      transform: scale(1.1, 1.18);
    }

    .home-cta-container:after {
      transform: scale(1.15, 1.13);
    }
  }

/* Loader */
.loader {
  position: fixed;
  top: 50%;
  left: 48%;
  width: 70px;
  height: 40px;
  --g: radial-gradient(
      farthest-side,
      #0000 calc(95% - 3px),
      #2590a1 calc(100% - 3px) 98%,
      #0000 101%
    )
    no-repeat;
  background: var(--g), var(--g), var(--g);
  background-size: 20px 20px;
  animation: l9 1s infinite alternate;
}
@media screen and (max-width: 768px) {
  .loader {
    left: 45%;
  }
}
@media screen and (max-width: 425px) {
  .loader {
    left: 42%;
  }
}
@keyframes l9 {
  0% {
    background-position: 0 50%, 50% 50%, 100% 50%;
  }
  20% {
    background-position: 0 0, 50% 50%, 100% 50%;
  }
  40% {
    background-position: 0 100%, 50% 0, 100% 50%;
  }
  60% {
    background-position: 0 50%, 50% 100%, 100% 0;
  }
  80% {
    background-position: 0 50%, 50% 50%, 100% 100%;
  }
  100% {
    background-position: 0 50%, 50% 50%, 100% 50%;
  }
}